Bug 1306222 - loudmouth: FTBFS in rawhide
loudmouth: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: loudmouth (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-10 06:04 EST by Fedora Release Engineering
Modified: 2016-02-23 13:12 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 13:12:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (53.46 KB, text/plain)
2016-02-10 06:04 EST, Fedora Release Engineering
no flags Details
root.log (70.24 KB, text/plain)
2016-02-10 06:05 EST, Fedora Release Engineering
no flags Details
state.log (625 bytes, text/plain)
2016-02-10 06:05 EST, Fedora Release Engineering
no flags Details
Patch for rawhide (2.04 KB, patch)
2016-02-19 00:49 EST, Yaakov Selkowitz
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-10 06:04:54 EST
Your package loudmouth failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12803204

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-10 06:04:59 EST
Created attachment 1122736 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-10 06:05:02 EST
Created attachment 1122737 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-10 06:05:05 EST
Created attachment 1122738 [details]
state.log
Comment 4 Yaakov Selkowitz 2016-02-19 00:49 EST
Created attachment 1128450 [details]
Patch for rawhide

- Work around gtk-doc breakage in tarball (#1306222)
- Disable -Werror in release tarball

Those are from an epel7 build, and the 1.5.2 tarball is indeed broken,
but on f24 there is also the following:

lm-sock.c: In function '_lm_sock_get_local_host':
lm-sock.c:365:33: error: dereferencing type-punned pointer will break strict-aliasing rules [-Werror=strict-aliasing]
         sock_addr = & (((struct sockaddr_in *) &addr_info)->sin_addr);
                                 ^~~~~~~~~~~
lm-sock.c:368:33: error: dereferencing type-punned pointer will break strict-aliasing rules [-Werror=strict-aliasing]
         sock_addr = & (((struct sockaddr_in6 *) &addr_info)->sin6_addr);
                                 ^~~~~~~~~~~~

The logic to not use -Werror in release tarballs is also broken.
Comment 5 Fabio Alessandro Locati 2016-02-21 06:15:48 EST
Thanks a lot Yaakov Selkowitz :). It builded properly (http://koji.fedoraproject.org/koji/buildinfo?buildID=737487)

I've committed it in EPEL7 branch (I don't have ACL for Fedora branches). I'll ping pbrobinson and hopefully he will merge it in rawhide too :)

Note You need to log in before you can comment on or make changes to this bug.